package tests::LogSourceTest;

use strict;

use base qw/ Test::Unit::TestCase /;
our ($VERSION)	= '$Revision: 1.2 $' =~ m!Revision: ([.\d]+)!;

use Lire::LogSource;
use POSIX qw/strftime/;


sub new {
    my $self = shift()->SUPER::new( @_ );

    $self;
}

sub set_up {
    my $self = $_[0];

}

sub tear_down {
    my $self = $_[0];

}

sub test_new {
    my $self = $_[0];

    my %args = ( period => "unique",
                 pattern => "/var/log/messages",
                 converter => "www",
                 name => "test",
               );
    my $src = new Lire::LogSource( "test", %args );
    $self->assert( UNIVERSAL::isa( $src, "Lire::LogSource"),
                   "constructor didn't returned an instance of Lire::LogSource"
                 );

    foreach my $a ( keys %args ) {
        no strict 'refs';
        my $v = $src->$a();
        $self->assert_not_null( $v, "$a() returned undef" );
        $self->assert_equals( $args{$a}, $v );
    }
}

sub test_file {
    my $self = $_[0];

    my $src = new Lire::LogSource( "test" );
    $self->assert( UNIVERSAL::isa( $src, "Lire::LogSource"),
                   "constructor didn't returned an instance of Lire::LogSource"
                 );

    $src->pattern( '/var/log/messages%Y%m' );
    my $file = $src->file;
    $self->assert_not_null( $file, "file() returned undef" );
    $self->assert_equals( strftime( '/var/log/messages%Y%m', localtime ),
                          $file );
}

1;
