package tests::TestCaseUsingOldConfigVars;

use strict;

use Lire::Config;
use Cwd qw/realpath/;
use File::Basename;

sub setup_old_config_vars {
    my $self = $_[0];

    my $src_spec_dir = realpath( dirname( __FILE__ )) . "/../config-spec";
    my $src_cfg_file = 
      realpath( dirname( __FILE__ ) ) . "/../config-defaults/lire.xml";

    my $cfg = new Lire::Config::XMLFilesConfig();
    local $Lire::Config::SINGLETON = $cfg;

    foreach my $d ( $cfg->config_spec_path() ) {
        $cfg->del_config_spec_path_dir( $d );
    }
    foreach my $f ( $cfg->config_files() ) {
        $cfg->del_config_file( $f );
    }
    $cfg->add_config_spec_path_dir( $src_spec_dir );
    $cfg->add_config_file( $src_cfg_file );
    local $SIG{__WARN__} = sub { $self->annotate( join( "", @_))};
    $cfg->init;
    $cfg->init_vars;
}

1;
